Subject: Ticket Assigned - My Account
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Wed, 01 Jun 2022 10:57:18 +0000

Hi Khalid Alamri,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  My Account Hello. I ordered online twice as a guest using [email-masked] I did not create an account. I need to return some items and customer service told me to arrange a return from my account. I tried to create an account using [email-masked] same email i used for the orders but it says the email is already in use. I tried to use forgot password but I didn't receive any email or message to reset password.

Please help fix my account so I can return the item. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4425839